Description: Another py3 patch
Author: Thomas Goirand <zigo@debian.org>
Forwarded: no
Last-Update: 2018-02-17

--- python-stringtemplate3-3.1.orig/stringtemplate3/groups.py
+++ python-stringtemplate3-3.1/stringtemplate3/groups.py
@@ -663,7 +663,7 @@ class StringTemplateGroup(object):
             parser = GroupParser.Parser(lexer)
             parser.group(self)
             # sys.stderr.write("read group\n" + str(self))
-        except "foo", e: # FIXME: Exception, e:
+        except "foo" as e: # FIXME: Exception, e:
             name = "<unknown>"
             if self.name:
                 name = self.name
--- python-stringtemplate3-3.1.orig/stringtemplate3/language/ActionEvaluator.py
+++ python-stringtemplate3-3.1/stringtemplate3/language/ActionEvaluator.py
@@ -3,11 +3,6 @@
 import sys
 import antlr
 
-version = sys.version.split()[0]
-if version < '2.2.1':
-    False = 0
-if version < '2.3':
-    True = not False
 ### header action >>> 
 from six import StringIO
 from stringtemplate3.language.CatIterator import CatList
--- python-stringtemplate3-3.1.orig/stringtemplate3/language/ActionLexer.py
+++ python-stringtemplate3-3.1/stringtemplate3/language/ActionLexer.py
@@ -3,11 +3,6 @@
 import sys
 import antlr
 
-version = sys.version.split()[0]
-if version < '2.2.1':
-    False = 0
-if version < '2.3':
-    True = not False
 ### header action >>> 
 from stringtemplate3.language.StringTemplateToken import StringTemplateToken
 import stringtemplate3
--- python-stringtemplate3-3.1.orig/stringtemplate3/language/ActionParser.py
+++ python-stringtemplate3-3.1/stringtemplate3/language/ActionParser.py
@@ -3,11 +3,6 @@
 import sys
 import antlr
 
-version = sys.version.split()[0]
-if version < '2.2.1':
-    False = 0
-if version < '2.3':
-    True = not False
 ### header action >>> 
 from stringtemplate3.language.StringTemplateToken import StringTemplateToken
 import stringtemplate3
--- python-stringtemplate3-3.1.orig/stringtemplate3/language/AngleBracketTemplateLexer.py
+++ python-stringtemplate3-3.1/stringtemplate3/language/AngleBracketTemplateLexer.py
@@ -3,11 +3,6 @@
 import sys
 import antlr
 
-version = sys.version.split()[0]
-if version < '2.2.1':
-    False = 0
-if version < '2.3':
-    True = not False
 ### header action >>> 
 import six
 import stringtemplate3
--- python-stringtemplate3-3.1.orig/stringtemplate3/language/DefaultTemplateLexer.py
+++ python-stringtemplate3-3.1/stringtemplate3/language/DefaultTemplateLexer.py
@@ -3,11 +3,6 @@
 import sys
 import antlr
 
-version = sys.version.split()[0]
-if version < '2.2.1':
-    False = 0
-if version < '2.3':
-    True = not False
 ### header action >>> 
 import six
 import stringtemplate3
--- python-stringtemplate3-3.1.orig/stringtemplate3/language/GroupLexer.py
+++ python-stringtemplate3-3.1/stringtemplate3/language/GroupLexer.py
@@ -3,11 +3,6 @@
 import sys
 import antlr
 
-version = sys.version.split()[0]
-if version < '2.2.1':
-    False = 0
-if version < '2.3':
-    True = not False
 ### header action >>> 
 from ASTExpr import *
 import stringtemplate3
--- python-stringtemplate3-3.1.orig/stringtemplate3/language/GroupParser.py
+++ python-stringtemplate3-3.1/stringtemplate3/language/GroupParser.py
@@ -3,11 +3,6 @@
 import sys
 import antlr
 
-version = sys.version.split()[0]
-if version < '2.2.1':
-    False = 0
-if version < '2.3':
-    True = not False
 ### header action >>> 
 from ASTExpr import *
 import stringtemplate3
--- python-stringtemplate3-3.1.orig/stringtemplate3/language/InterfaceLexer.py
+++ python-stringtemplate3-3.1/stringtemplate3/language/InterfaceLexer.py
@@ -3,11 +3,6 @@
 import sys
 import antlr
 
-version = sys.version.split()[0]
-if version < '2.2.1':
-    False = 0
-if version < '2.3':
-    True = not False
 ### header action >>> 
 #
 # [The "BSD licence"]
--- python-stringtemplate3-3.1.orig/stringtemplate3/language/InterfaceParser.py
+++ python-stringtemplate3-3.1/stringtemplate3/language/InterfaceParser.py
@@ -3,11 +3,6 @@
 import sys
 import antlr
 
-version = sys.version.split()[0]
-if version < '2.2.1':
-    False = 0
-if version < '2.3':
-    True = not False
 ### header action >>> 
 #
 # [The "BSD licence"]
--- python-stringtemplate3-3.1.orig/stringtemplate3/language/TemplateParser.py
+++ python-stringtemplate3-3.1/stringtemplate3/language/TemplateParser.py
@@ -3,11 +3,6 @@
 import sys
 import antlr
 
-version = sys.version.split()[0]
-if version < '2.2.1':
-    False = 0
-if version < '2.3':
-    True = not False
 ### header action >>> 
 import stringtemplate3
 from stringtemplate3.language.ChunkToken import ChunkToken
